cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/item_groups" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"item_group": {
"name": "Hardware"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_item_group(
{"item_group": {"name": "Hardware"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsItemGroup({item_group: {name: 'Hardware'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsItemGroup(['item_group' => ['name' => 'Hardware']]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsItemGroups;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsItemGroups> response = client.settings().createSettingsItemGroup(
Map.of("item_group", Map.of("name", "Hardware")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsItemGroupAsync(new Dictionary<string, object?>
{
["item_group"] = new Dictionary<string, object?>
{
["name"] = "Hardware",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsItemGroup({
'item_group': {'name': 'Hardware'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsItemGroup(context.Background(), map[string]any{
"item_group": map[string]any{"name": "Hardware"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_group": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"billing_preferences": {},
"code": "<string>",
"created_by": "<string>",
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_uri": "<string>",
"last_updated_by": "<string>",
"last_updated_on": "<string>",
"manager": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"uuid": "<string>",
"version": 123
}
}Instance settings
Create an item group
Creates an item group and returns it under item_group.
POST
/
settings
/
item_groups
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/item_groups" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"item_group": {
"name": "Hardware"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_item_group(
{"item_group": {"name": "Hardware"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsItemGroup({item_group: {name: 'Hardware'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsItemGroup(['item_group' => ['name' => 'Hardware']]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsItemGroups;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsItemGroups> response = client.settings().createSettingsItemGroup(
Map.of("item_group", Map.of("name", "Hardware")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsItemGroupAsync(new Dictionary<string, object?>
{
["item_group"] = new Dictionary<string, object?>
{
["name"] = "Hardware",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsItemGroup({
'item_group': {'name': 'Hardware'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsItemGroup(context.Background(), map[string]any{
"item_group": map[string]any{"name": "Hardware"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_group": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"billing_preferences": {},
"code": "<string>",
"created_by": "<string>",
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_uri": "<string>",
"last_updated_by": "<string>",
"last_updated_on": "<string>",
"manager": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"uuid": "<string>",
"version": 123
}
}Send the new item group under
item_group. A name is enough to create one.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new item group, under item_group.
Show child attributes
Show child attributes